//#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D textureImage;

uniform float projMatrix10;
uniform float projMatrix14;

void main (void)
{
    vec2 texCoord = gl_TexCoord[0].st;

    vec4 texColor = texture2D(textureImage, texCoord);

    float z_eye = projMatrix14 / (texColor[0] * -2.0 + 1.0 - projMatrix10);
    z_eye = -z_eye;

    gl_FragColor[0] = z_eye;
    gl_FragColor[1] = z_eye;
    gl_FragColor[2] = z_eye;
    gl_FragColor[3] = 1;

    return;
}
